Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ListGuiElement::CmdScrollBar Class Reference

Command object for specifying the scrollbar for the list (see ParamCommand). More...

`#include <OgreListGuiElement.h>`

Inheritance diagram for Ogre::ListGuiElement::CmdScrollBar:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Detailed Description

Command object for specifying the scrollbar for the list (see ParamCommand).

Definition at line 104 of file OgreListGuiElement.h.

## Member Function Documentation

String Ogre::ListGuiElement::CmdScrollBar::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand. Definition at line 135 of file OgreListGuiElement.cpp. References Ogre::String.

void Ogre::ListGuiElement::CmdScrollBar::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand. Definition at line 139 of file OgreListGuiElement.cpp. References Ogre::String.

The documentation for this class was generated from the following files:

- OgreListGuiElement.h
- OgreListGuiElement.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:16 2004